## org.eclipse.amp.amf.adata.util
Class BinaryResourceFactoryImpl

    java.lang.Object
      org.eclipse.amp.amf.adata.util.BinaryResourceFactoryImpl

All Implemented Interfaces:
  org.eclipse.emf.ecore.resource.Resource.Factory

    public class BinaryResourceFactoryImpl

extends java.lang.Object
implements org.eclipse.emf.ecore.resource.Resource.Factory

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.resource.Resource.Factory
`org.eclipse.emf.ecore.resource.Resource.Factory.Descriptor, org.eclipse.emf.ecore.resource.Resource.Factory.Registry`

Constructor Summary
`BinaryResourceFactoryImpl()`

Method Summary
`org.eclipse.emf.ecore.resource.Resource` `createResource(org.eclipse.emf.common.util.URI uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BinaryResourceFactoryImpl

    public BinaryResourceFactoryImpl()

Method Detail

### createResource

    public org.eclipse.emf.ecore.resource.Resource createResource(org.eclipse.emf.common.util.URI uri)

  Specified by:
    `createResource` in interface `org.eclipse.emf.ecore.resource.Resource.Factory`